# $Id: installWin.tcl,v 1.2 2000/09/18 22:35:13 neumann Exp $
set DESTINATION "/Progra~1/Tcl"

rename file tcl_file
proc file args {
  puts stderr "...$args"
  eval ::tcl_file $args
}

set bin "xotclsh.exe xowish.exe xotcl.dll"
foreach b $bin {
  if {[file exists  src/Release/$b]} {
    file copy -force src/Release/$b $DESTINATION/bin
  }
}
file copy -force src/xotcl.h $DESTINATION/include
file mkdir $DESTINATION/lib/xotcl


proc copyDir {dir dest} {
  set files [glob -nocomplain $dir/*]
  foreach f $files {
    doDir $f $dest
  }
}

proc doDir {f dest} {
  if {[file isdirectory $f]} {
    file mkdir $dest/$f
    copyDir $f $dest
  } else {
    file copy -force $f $dest/$f
 }
}

cd packages

catch {exec $DESTINATION/bin/xotclsh.exe make.xotcl}

foreach f [glob -nocomplain *] {
  doDir $f $DESTINATION/lib/xotcl
}
cd ..
cd src
doDir lib $DESTINATION/lib/xotcl

puts stderr "***************************************************"
puts stderr "INSTALLATION COMPLETE."
puts stderr "\nIn order to use XOTcl set PATH to "
puts stderr "  '$DESTINATION/bin' and"
puts stderr "set TCLLIBPATH to "
puts stderr "  '$DESTINATION/lib/xotcl'"
puts stderr "***************************************************"


